#include<bits/stdc++.h>
using namespace std;
int main() {ios_base::sync_with_stdio(false);cin.tie(0),cin.tie(0);
int n, m, k;
cin >> n >> m >> k;
int c= m / k;
int z= n / k;
if (m % k != 0) {
c++;
}
if (n % k != 0) {
z++;
}
int s=c*z;
cout << s<< endl;
return 0;
}
